function init(hero) {

    hero.setName("Kid Flash");

    hero.setAliases("kf");

    hero.setVersion("\u00A76\u00A7lYoung \u00A7c\u00A7lJustice\u00A7r");

    hero.setTier(4);

    

    hero.setHelmet("Cowl");

    hero.setChestplate("Emblem");

    hero.setLeggings("Pants");

    hero.setBoots("Boots");

    hero.addEquipment("fiskheroes:flash_ring");

    

    hero.addPowers("fiskheroes:speed_force");

    hero.addAttribute("PUNCH_DAMAGE", 4.0, 0);

    hero.addAttribute("WEAPON_DAMAGE", 0.5, 0);

    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);

    hero.addAttribute("FALL_RESISTANCE", 4.0, 0);

    hero.addAttribute("BASE_SPEED_LEVELS", 4.0, 0);

    

    hero.addKeyBind("SUPER_SPEED", "key.superSpeed", 1);

    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 2);



    hero.setDamageProfile(getDamageProfile);

    hero.addDamageProfile("SPEED_PUNCH", {

        "types": {

            "BLUNT": 1.0

        },

        "properties": {

            "HIT_COOLDOWN": 5

        }

    });

}



function getDamageProfile(entity) {

    return entity.getData("fiskheroes:speeding") ? "SPEED_PUNCH" : null;

}

